Subject: bug#19186: closed (Re: [bug-diffutils] bug#19186: [PATCH] OS/2 patches)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 13 Dec 2014 04:55:02 +0000

Your bug report

#19186: [PATCH] OS/2 patches

which was filed against the diffutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19186: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19186
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug-diffutils] bug#19186: [PATCH] OS/2 patches
From: Jim Meyering <[email-masked]>
To: KO Myung-Hun <[email-masked]>
Cc: [email-masked]
Date: Fri, 12 Dec 2014 20:54:22 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Dec 12, 2014 at 8:18 PM, KO Myung-Hun <[email-masked]> wrote:
> Jim Meyering wrote:
>> On Fri, Dec 12, 2014 at 7:24 PM, KO Myung-Hun <[email-masked]> wrote:
>>>
>>> Jim Meyering wrote:
>>>> On Wed, Dec 10, 2014 at 9:37 PM, KO Myung-Hun <[email-masked]> wrote:
>>>>> Jim Meyering wrote:
>>>>>> On Tue, Nov 25, 2014 at 6:29 PM, KO Myung-Hun <[email-masked]> wrote:
>>>>>>> Hi/2.
>>>>>>>
>>>>>>> These are OS/2 patches.
>>>>>>>
>>>>>>> Review, please...
>>>>>>>
>>>>>>> [PATCH 1/2] build: use quotation mark(") for PATH
>>>>>>> [PATCH 2/2] diff: skip test if seek is not possible on OS/2 kLIBC
>>>>>>
>>>>>> I saw no patches here, but was able to dig them out of the
>>>>>> bug-tracking system at http://debbugs.gnu.org/19186.
>>>>>> I have applied and pushed the first one.  Thank you.
>>>>>>
>>>>>> However, for the second, my inclination is that if at all possible,
>>>>>> it should be fixed via an lseek replacement that does something
>>>>>> more sensible. Of course, that may not be possible, but from
>>>>>> what you've presented so far, I cannot tell. Please demonstrate
>>>>>> a use of diff that shows how OS/2+kLIBC's lseek fails.
>>>>>
>>>>> Do you want this ?
>>>>>
>>>>> -----
>>>>> $ cat file | diff - file
>>>>> diff.exe: -: Invalid seek
>>>>> -----
>>>>
>>>> Yes.  Thanks. That shows how lseek-pipe fails on your system.
>>>> Please adjust your patch to make diff ignore failure only in that case,
>>>> i.e., when errno == EINVAL (assuming strerror(EINVAL)
>>>> produces that diagnostic).
>>>
>>> Do you mean to add errno == EINVAL to if() for pfatal_with_name() ?
>>
>> No.
>> Skip the test only when this lseek fails with precisely that errno value:
>
> Ok. Fixed.

Applied and pushed.  Thanks.

Subject: [PATCH] OS/2 patches
From: KO Myung-Hun <[email-masked]>
To: [email-masked]
Date: Wed, 26 Nov 2014 11:29:37 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi/2.

These are OS/2 patches.

Review, please...

[PATCH 1/2] build: use quotation mark(") for PATH
[PATCH 2/2] diff: skip test if seek is not possible on OS/2 kLIBC